/****** Object:  View [dbo].[vDocumentiRigheTipologia]    Script Date: 07/05/2020 14:55:42 ******/
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].vDocumentiRigheTipologia'))
DROP VIEW [dbo].[vDocumentiRigheTipologia]
GO

/****** Object:  View [dbo].[vDocumentiRigheTipologia]    Script Date: 07/05/2020 14:55:42 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [dbo].[vDocumentiRigheTipologia]
AS
SELECT        IDCausaleMovimento, Qta, PrezzoCopertina, PrezzoNetto, PrezzoCessione, CompensoCompiegamento, SviluppoNetto, TipoRecord, DataOraVendita,
                             (SELECT        IDTipoProdotto
                               FROM            dbo.Prodotti
                               WHERE        (IDProd =
                                                             (SELECT        IDProd
                                                               FROM            dbo.Uscite AS Uscite_2
                                                               WHERE        (dbo.DocumentiRighe.IDUscita = IDUscita)))) AS IDTIPOPRODOTTO,
                             (SELECT        IDEditore
                               FROM            dbo.Uscite AS Uscite_1
                               WHERE        (dbo.DocumentiRighe.IDUscita = IDUscita)) AS IDEditore,
                             (SELECT        IdFornitoreOligest
                               FROM            dbo.Uscite AS Uscite_1
                               WHERE        (dbo.DocumentiRighe.IDUscita = IDUscita)) AS IdFornitoreOligest,
                             (SELECT        DirittoDiReso
                               FROM            dbo.Uscite AS Uscite_1
                               WHERE        (dbo.DocumentiRighe.IDUscita = IDUscita)) AS DirittoDiReso,
                             (SELECT        IdMarca
                               FROM            dbo.Uscite AS Uscite_1
                               WHERE        (dbo.DocumentiRighe.IDUscita = IDUscita)) AS IDMarca,
                             (SELECT        InfoRiv
                               FROM            dbo.Uscite AS Uscite_1
                               WHERE        (dbo.DocumentiRighe.IDUscita = IDUscita)) AS Inforiv
FROM            dbo.DocumentiRighe
WHERE        ((SELECT        IDProd
                            FROM            dbo.Uscite AS Uscite_1
                            WHERE        (dbo.DocumentiRighe.IDUscita = IDUscita)) IS NOT NULL) AND (IDCausaleMovimento = 21)

GO

EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPane1', @value=N'[0E232FF0-B466-11cf-A24F-00AA00A3EFFF, 1.00]
Begin DesignProperties = 
   Begin PaneConfigurations = 
      Begin PaneConfiguration = 0
         NumPanes = 4
         Configuration = "(H (1[12] 4[39] 2[5] 3) )"
      End
      Begin PaneConfiguration = 1
         NumPanes = 3
         Configuration = "(H (1 [50] 4 [25] 3))"
      End
      Begin PaneConfiguration = 2
         NumPanes = 3
         Configuration = "(H (1 [50] 2 [25] 3))"
      End
      Begin PaneConfiguration = 3
         NumPanes = 3
         Configuration = "(H (4 [30] 2 [40] 3))"
      End
      Begin PaneConfiguration = 4
         NumPanes = 2
         Configuration = "(H (1 [56] 3))"
      End
      Begin PaneConfiguration = 5
         NumPanes = 2
         Configuration = "(H (2 [66] 3))"
      End
      Begin PaneConfiguration = 6
         NumPanes = 2
         Configuration = "(H (4 [50] 3))"
      End
      Begin PaneConfiguration = 7
         NumPanes = 1
         Configuration = "(V (3))"
      End
      Begin PaneConfiguration = 8
         NumPanes = 3
         Configuration = "(H (1[56] 4[18] 2) )"
      End
      Begin PaneConfiguration = 9
         NumPanes = 2
         Configuration = "(H (1 [75] 4))"
      End
      Begin PaneConfiguration = 10
         NumPanes = 2
         Configuration = "(H (1[66] 2) )"
      End
      Begin PaneConfiguration = 11
         NumPanes = 2
         Configuration = "(H (4 [60] 2))"
      End
      Begin PaneConfiguration = 12
         NumPanes = 1
         Configuration = "(H (1) )"
      End
      Begin PaneConfiguration = 13
         NumPanes = 1
         Configuration = "(V (4))"
      End
      Begin PaneConfiguration = 14
         NumPanes = 1
         Configuration = "(V (2))"
      End
      ActivePaneConfig = 0
   End
   Begin DiagramPane = 
      Begin Origin = 
         Top = 0
         Left = 0
      End
      Begin Tables = 
         Begin Table = "DocumentiRighe"
            Begin Extent = 
               Top = 6
               Left = 38
               Bottom = 136
               Right = 278
            End
            DisplayFlags = 280
            TopColumn = 0
         End
      End
   End
   Begin SQLPane = 
   End
   Begin DataPane = 
      Begin ParameterDefaults = ""
      End
      Begin ColumnWidths = 16
         Width = 284
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
      End
   End
   Begin CriteriaPane = 
      Begin ColumnWidths = 11
         Column = 8685
         Alias = 1335
         Table = 1170
         Output = 720
         Append = 1400
         NewValue = 1170
         SortType = 1350
         SortOrder = 1410
         GroupBy = 1350
         Filter = 1350
         Or = 1350
         Or = 1350
         Or = 1350
      End
   End
End
' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'vDocumentiRigheTipologia'
GO

EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPaneCount', @value=1 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'vDocumentiRigheTipologia'
GO


